Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class ForwardReasoningSessionFactoryImpl<F>

    java.lang.Object
      com.hammurapi.reasoning.impl.ForwardReasoningSessionFactoryImpl<F>

All Implemented Interfaces:
  ForwardReasoningSessionFactory<F>

    public class ForwardReasoningSessionFactoryImpl<F>

extends Object
implements ForwardReasoningSessionFactory<F>

Constructor Summary
`ForwardReasoningSessionFactoryImpl(org.eclipse.emf.ecore.EObject def, FactoryConfig factoryConfig)`
`ForwardReasoningSessionFactoryImpl(File ruleSetFile, FactoryConfig factoryConfig)`
`ForwardReasoningSessionFactoryImpl(String ruleSetUri, FactoryConfig factoryConfig)`
`ForwardReasoningSessionFactoryImpl(org.eclipse.emf.common.util.URI ruleSetUri, FactoryConfig factoryConfig)`

Method Summary
`ForwardReasoningSession<F>` | `createSession(Map<?,?> properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardReasoningSessionFactoryImpl

    public ForwardReasoningSessionFactoryImpl(File ruleSetFile,
                                              FactoryConfig factoryConfig)
                                       throws ReasoningException,
                                              MalformedURLException

Throws:
  `ReasoningException`
  `MalformedURLException`

### ForwardReasoningSessionFactoryImpl

    public ForwardReasoningSessionFactoryImpl(String ruleSetUri,
                                              FactoryConfig factoryConfig)
                                       throws ReasoningException,
                                              MalformedURLException

Throws:
  `ReasoningException`
  `MalformedURLException`

### ForwardReasoningSessionFactoryImpl

    public ForwardReasoningSessionFactoryImpl(org.eclipse.emf.common.util.URI ruleSetUri,
                                              FactoryConfig factoryConfig)
                                       throws ReasoningException

Throws:
  `ReasoningException`

### ForwardReasoningSessionFactoryImpl

    public ForwardReasoningSessionFactoryImpl(org.eclipse.emf.ecore.EObject def,
                                              FactoryConfig factoryConfig)
                                       throws ReasoningException

Throws:
  `ReasoningException`

Method Detail

### createSession

    public ForwardReasoningSession<F> createSession(Map<?,?> properties)
                                             throws ReasoningException

  Specified by:
    `createSession` in interface `ForwardReasoningSessionFactory<F>`
  Throws:
    `ReasoningException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD